Subject: Re: bug#5950: defvaralias after defvar should be warned in runtime

From: Noam Postavsky <[email-masked]>
Date: Sat, 26 May 2018 19:54:34 -0400

>> The bootstrap warnings were about cl-custom-print-functions,
>> mail-dont-reply-to-names,

Oh, it's because the definition gets into loaddefs.el, but the alias
doesn't.

>> and several flymake-proc-* variables all of
>> which correctly have the alias before the definition.

Not 100% sure about the flymake ones, but I guess it's some double
loading during bootstrap.

Stefan Monnier <[email-masked]> writes:

> I'd make it just a `message` rather than a `display-warning`.

Hmm, I think it's too easy to overlook that, I prefer the in-your-face
nature of display-warning.